<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:09 AEST 2019 -->
<title>FlatRegion (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="FlatRegion (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/sk89q/worldedit/regions/EllipsoidRegion.html" title="class in com.sk89q.worldedit.regions"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../com/sk89q/worldedit/regions/NullRegion.html" title="class in com.sk89q.worldedit.regions"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/sk89q/worldedit/regions/FlatRegion.html" target="_top">Frames</a></li>
<li><a href="FlatRegion.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.regions</div>
<h2 title="Interface FlatRegion" class="title">Interface FlatRegion</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd>java.lang.Cloneable, java.lang.Iterable&lt;<a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&gt;, <a href="../../../../com/sk89q/worldedit/regions/Region.html" title="interface in com.sk89q.worldedit.regions">Region</a></dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../com/sk89q/worldedit/regions/CuboidRegion.html" title="class in com.sk89q.worldedit.regions">CuboidRegion</a>, <a href="../../../../com/sk89q/worldedit/regions/CylinderRegion.html" title="class in com.sk89q.worldedit.regions">CylinderRegion</a>, <a href="../../../../com/sk89q/worldedit/regions/Polygonal2DRegion.html" title="class in com.sk89q.worldedit.regions">Polygonal2DRegion</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">FlatRegion</span>
extends <a href="../../../../com/sk89q/worldedit/regions/Region.html" title="interface in com.sk89q.worldedit.regions">Region</a></pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>java.lang.Iterable&lt;<a href="../../../../com/sk89q/worldedit/math/BlockVector2.html" title="class in com.sk89q.worldedit.math">BlockVector2</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/regions/FlatRegion.html#asFlatRegion--">asFlatRegion</a></span>()</code>
<div class="block">Get this region as an iterable flat region.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/regions/FlatRegion.html#getMaximumY--">getMaximumY</a></span>()</code>
<div class="block">Gets the maximum Y value</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/regions/FlatRegion.html#getMinimumY--">getMinimumY</a></span>()</code>
<div class="block">Gets the minimum Y value</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.sk89q.worldedit.regions.Region">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;com.sk89q.worldedit.regions.<a href="../../../../com/sk89q/worldedit/regions/Region.html" title="interface in com.sk89q.worldedit.regions">Region</a></h3>
<code><a href="../../../../com/sk89q/worldedit/regions/Region.html#clone--">clone</a>, <a href="../../../../com/sk89q/worldedit/regions/Region.html#contains-com.sk89q.worldedit.math.BlockVector3-">contains</a>, <a href="../../../../com/sk89q/worldedit/regions/Region.html#contract-com.sk89q.worldedit.math.BlockVector3...-">contract</a>, <a href="../../../../com/sk89q/worldedit/regions/Region.html#expand-com.sk89q.worldedit.math.BlockVector3...-">expand</a>, <a href="../../../../com/sk89q/worldedit/regions/Region.html#getArea--">getArea</a>, <a href="../../../../com/sk89q/worldedit/regions/Region.html#getCenter--">getCenter</a>, <a href="../../../../com/sk89q/worldedit/regions/Region.html#getChunkCubes--">getChunkCubes</a>, <a href="../../../../com/sk89q/worldedit/regions/Region.html#getChunks--">getChunks</a>, <a href="../../../../com/sk89q/worldedit/regions/Region.html#getHeight--">getHeight</a>, <a href="../../../../com/sk89q/worldedit/regions/Region.html#getLength--">getLength</a>, <a href="../../../../com/sk89q/worldedit/regions/Region.html#getMaximumPoint--">getMaximumPoint</a>, <a href="../../../../com/sk89q/worldedit/regions/Region.html#getMinimumPoint--">getMinimumPoint</a>, <a href="../../../../com/sk89q/worldedit/regions/Region.html#getWidth--">getWidth</a>, <a href="../../../../com/sk89q/worldedit/regions/Region.html#getWorld--">getWorld</a>, <a href="../../../../com/sk89q/worldedit/regions/Region.html#polygonize-int-">polygonize</a>, <a href="../../../../com/sk89q/worldedit/regions/Region.html#setWorld-com.sk89q.worldedit.world.World-">setWorld</a>, <a href="../../../../com/sk89q/worldedit/regions/Region.html#shift-com.sk89q.worldedit.math.BlockVector3-">shift</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Iterable">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;java.lang.Iterable</h3>
<code>forEach, iterator, spliterator</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getMinimumY--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMinimumY</h4>
<pre>int&nbsp;getMinimumY()</pre>
<div class="block">Gets the minimum Y value</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the Y value</dd>
</dl>
</li>
</ul>
<a name="getMaximumY--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMaximumY</h4>
<pre>int&nbsp;getMaximumY()</pre>
<div class="block">Gets the maximum Y value</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the Y value</dd>
</dl>
</li>
</ul>
<a name="asFlatRegion--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>asFlatRegion</h4>
<pre>java.lang.Iterable&lt;<a href="../../../../com/sk89q/worldedit/math/BlockVector2.html" title="class in com.sk89q.worldedit.math">BlockVector2</a>&gt;&nbsp;asFlatRegion()</pre>
<div class="block">Get this region as an iterable flat region.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a flat region iterable</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/sk89q/worldedit/regions/EllipsoidRegion.html" title="class in com.sk89q.worldedit.regions"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../com/sk89q/worldedit/regions/NullRegion.html" title="class in com.sk89q.worldedit.regions"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/sk89q/worldedit/regions/FlatRegion.html" target="_top">Frames</a></li>
<li><a href="FlatRegion.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
